---
title: "Create Member"
slug: "create-member"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
canonical: "docs.wasabi.com/create-member"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Member

Post/v1/members

Create a new member for a sub-account.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Body parameters<select class='api-response-data' aria-label='Media type'><option value='f0b4eb92-5d5d-480a-a775-975af879e8e3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='38f7b8c4-b687-4599-b934-a54d68034359'>minimal</option>
<option value='2bba13bd-5fd4-4548-875c-d661f179cf33'>full</option>
</select>minimal

Required fields only

```json
{
  "subAccountId": "54321",
  "firstName": "Jane",
  "lastName": "Smith",
  "email": "jane.smith@example.com",
  "password": "SecurePass123!",
  "memberRole": "Admin"
}
```

full

All fields

```json
{
  "subAccountId": "54321",
  "firstName": "Jane",
  "lastName": "Smith",
  "username": "jsmith",
  "email": "jane.smith@example.com",
  "password": "SecurePass123!",
  "memberRole": "Admin",
  "passwordResetRequired": "True"
}
```

object  subAccountIdinteger    Required
firstNamestring    Required
lastNamestring    Required
usernamestring    
emailstring  (email)    Required
passwordstring    Required
memberRolestring    Required
passwordResetRequiredboolean    

Responses200

Successfully created member

<select class='api-response-data' aria-label='Media type'><option value='995eb71d-0ec7-4ecd-8955-c18884ddbfcb'>application/json</option>
</select>

```json
{
  "success": "True",
  "code": "RES-I-0045",
  "message": "Member has been successfully created!",
  "data": {
    "id": "11223",
    "subAccountId": "54321",
    "firstName": "Jane",
    "lastName": "Smith",
    "username": "jsmith",
    "memberRole": "Admin",
    "email": "jane.smith@example.com",
    "status": "Active",
    "mfa": "False",
    "imageUrl": "",
    "creationDate": "2024-01-15T10:30:00Z",
    "address1": "",
    "address2": "",
    "country": "",
    "city": "",
    "stateName": "",
    "zip": "",
    "phone": "",
    "isSsoUser": "False"
  }
}
```

Expand Allobject  successboolean    
codestring    
messagestring    
dataobject (MemberResponse)  idinteger    
subAccountIdinteger    
firstNamestring    
lastNamestring    
usernamestring    
memberRolestring    
emailstring    
statusstring    
mfaboolean    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string   | null  
address2string   | null  
countrystring   | null  
citystring   | null  
stateNamestring   | null  
zipstring   | null  
phonestring   | null  
isSsoUserboolean
